KDESU(1)

IME
kdesu - Pokreće program sa povišenim ovlašćenjima.

PREGLED

kdesu [-cnaredba] [-d] [-ffajl] [-iime-ikonice] [-n] [-pprioritet] [-r] [-s] [-t] [-ukorisnik] [--noignorebutton] [--attachID-prozora]

kdesu [generičke-KDE-opcije] [generičke-Qt-opcije]

OPIS

KDE su je grafičko pročelje za Unix naredbu su za KDE. Omogućava vam da pokrenete program pod drugim korisnikom, zadavši njegovu lozinku. KDE su nije povlašćen program, već koristi sistemsku su.

KDE su ima jednu dodatnu mogućnost: može opciono da pamti lozinke umesto vas. Ako se oslonite na ovo, za svaku naredbu treba samo jedanput da unesete lozinku.

Ovaj program je namenjen pokretanju iz komandne linije ili iz .desktop fajlova.

Pošto se kdesu više ne instalira u $(kde4-config --prefix)/bin/ već u kde4-config --path libexec, i stoga više nije u putanji (PATH), moraćete da je pokrećete pomoću $(kde4-config --path libexec)/kdesu.

OPCIJE

-c naredba
    Zadaje da se naredba prosleđena kao argument izvršava pod korenom. Na primer, kada poželite da pokrenete novi menadžer fajlova, uneli biste u odzivnik: $(kde4-config --path libexec)/kdesu -c dolphin.

-d
    Ispis ispravljačkih podataka.

-f fajl
    Ova opcija omogućava efikasno korišćenje KDE sua u .desktop fajlovima. Govori KDE suu da ispita fajl zadat parametrom fajl: ako je taj fajl upisiv za trenutnog korisnika, KDE su će izvršiti naredbu pod tim korisnikom; ako nije, naredba se izvršava pod zadatim korisnikom (podrazumevano je to koren, root).

    Parametar fajl obrađuje se ovako: ako počinje sa /, uzima se za apsolutnu putanju do fajla; inače, uzima se za ime globalnog KDE postavnog fajla.

-i ime-ikonice
    Zadaje ikonicu za upotrebu u dijalogu lozinke. Možete zadati samo ime bez nastavka.

-n
    Bez pamćenja lozinke. Isključuje kućicu Upamti lozinku u dijalogu lozinke.

-p prioritet
    Postavlja vrednost prioriteta, na broj između 0 i 100: 0 znači najniži prioritet, a 100 najviši. Podrazumevano je 50.

-r
    Stvarnovremensko raspoređivanje.

-s
    Zaustavlja demona KDE sua, koji u pozadini kešira prihvaćene lozinke. Ova mogućnost takođe se može isključiti opcijom -n pri prvom pokretanju KDE sua.

-t
    Uključuje terminalski izlaz. Takođe isključuje pamćenje lozinki. Ovo umnogome služi u ispravljačke svrhe; ako želite da pokrenete program konzolnog režima, upotrebite umesto ovoga standardnu su.

-u korisnik
    Iako je najčešća primena KDE sua izvršavanje naredbe pod korenom, možete zadati bilo koje korisničko ime i odgovarajuću lozinku.

--noignorebutton
    Bez dugmeta za ignorisanje.

--attach ID-prozora
    Čini dijalog prolaznim za X program određen ID-om prozora.

VIDI JOŠ

su(1)

Detaljnija korisnička dokumentacija raspoloživa je kroz help:/kdesu (unesite ovaj URL u K-osvajač, ili izvršite khelpcenter help:/kdesu).

PRIMERI

Izvršite kfmclient pod korisnikom pera, s ikonicom K-osvajača u dijalogu lozinke:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

AUTORI

KDE su napisali su Gert Jansen <jansen@kde.org> i Pijetro Iljo <iglio@fub.it>.

AUTOR

Lori Vots <lauri@kde.org>
    Autor.